//配送管理
// JScript 文件
//配送管理
//1配送管理配送


//000000配送管理列表开始
var ShipInfoStore;
ShipInfoManage = function(node) {//分页每页显示数量	 
    var pageSize = 12;
    //指定列参数

    var ShipInfoFields = ["ID", "Name", "Price", "Intro", "Flag"];
    ShipInfoStore = new Ext.data.GroupingStore({
        proxy: new Ext.data.HttpProxy(
           {
               url: "/MCScriptManageServices/AllShip.aspx",
               method: "POST"
           }),
        reader: new Ext.data.JsonReader(
           {
               fields: ShipInfoFields,
               root: "data",
               id: "ID",
               totalProperty: "totalCount"

           }),
        //groupField:'id', 
        sortInfo: { field: 'ID', direction: "DESC" }
    });
    ShipInfoStore.load({ params: { start: 0, limit: pageSize} });




    //--------------------------------------------------列选择模式
    var sm = new Ext.grid.CheckboxSelectionModel({
    //dataIndex:"id"
});
//--------------------------------------------------列头
var cm = new Ext.grid.ColumnModel([
		sm,
{//"Id", "Name", "Price", "Intro", "Flag"
    header: "配送名称",
    dataIndex: "Name",
    tooltip: "配送名称",
    sortable: true
}, {
    header: "配送价格",
    tooltip: "配送价格",
    dataIndex: "Price",
    sortable: true
}]);


    var ShipInfoGrid = new Ext.grid.GridPanel({
        id: "ShipInfoGrid",
        store: ShipInfoStore,
        sm: sm,
        cm: cm,
        loadMask: true,
        stripeRows: true,
        //autoExpandColumn:7,
        //超过长度带自动滚动条
        autoScroll: true,
        border: false,
        view: new Ext.grid.GroupingView({
            //自动填充
            forceFit: true,
            sortAscText: '正序排列',
            sortDescText: '倒序排列',
            columnsText: '列显示/隐藏',
            groupByText: '根据本列分组',
            showGroupsText: '是否采用分组显示',
            groupTextTpl: '{text} (<font color=red><b>{[values.rs.length]}</b></font> {[values.rs.length > 0 ? "条器件信息" : "暂无器件信息"]})'
        }),
        //分页
        bbar: new Ext.PagingToolbar({
            store: ShipInfoStore,
            pageSize: pageSize,
            //显示右下角信息
            displayInfo: true,
            displayMsg: '当前记录 {0} -- {1} 条 共 {2} 条记录',
            emptyMsg: "No results to display",
            prevText: "上一页",
            nextText: "下一页",
            refreshText: "刷新",
            lastText: "最后页",
            firstText: "第一页",
            beforePageText: "当前页",
            afterPageText: "共{0}页"

        }),
        tbar: [
		new Ext.Toolbar.Fill()
		, "", "-", "",
			{
			    text: "刷新信息",
			    //默认样式为按下
			    //pressed:true,
			    tooltip: "刷新当前页面信息",
			    iconCls: "refreshicon",
			    handler: function() {
			        ShipInfoStore.reload();
			    }
			}, "", "-"
		,
		{
		    text: "添加",
		    tooltip: "添加配送信息",
		    iconCls: "addicon",
		    handler: AddShipInfoFn
		}, "", "-", "", {
		    text: "编辑",
		    tooltip: "编辑配送信息",
		    iconCls: "editicon",
		    handler: EditShipInfoFn
		}, "", "-", "", {
		    text: "删除",
		    tooltip: "删除配送信息",
		    iconCls: "deleteicon",
		    handler: DelShipInfoFn

		}, "-"], listeners: {
		    'contextmenu': function(e) {
		        e.stopEvent();
		    },
		    'rowcontextmenu': function(grid, rowIndex, e) {
		        e.stopEvent();
		    }
		}
    });



    GridMain(node, ShipInfoGrid, "usericon");
}

function DelShipInfoFn() {
    var row = Ext.getCmp("ShipInfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "请您至少选择一个!");
    }
    else {
        Ext.Msg.confirm("提示!", "您确定要删除该配送信息吗?", function(btn) {
            if (btn == "yes") {
                DelShipInfoFns(row);
            }
            else {

            }
        })
    }
}

function EditShipInfoFn() {
    var row = Ext.getCmp("ShipInfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "您没有选中任何行!");
    }
    else if (row.length > 1) {

        Ext.Msg.alert("提示信息", "对不起只能选择一个!");
    } else if (row.length == 1) {

    EditShipInfoFns(row[0]); //传行一行记录直接加载//EditConfigInfos
    }
}

//000000配送管理管理结束
//000000配送管理添加开始


AddShipInfoFn = function() {
    //------配送类型

    //    var AddUserRoleFields = Ext.data.Record.create([
    //        { name: 'roleid', mapping: 'roleid' }, { name: 'rolename', mapping: 'rolename' }, { name: 'roledesc', mapping: 'roledesc' }
    //    ]);

    //    var AddUserRoleStore = new Ext.data.Store({
    //        proxy: new Ext.data.HttpProxy({
    //            url: 'services/system/RoleInfo/GetRoleInfo.aspx'
    //        }),
    //        reader: new Ext.data.JsonReader({
    //            root: 'data',
    //            id: 'roleid'
    //        },
    //        AddUserRoleFields
    //        )
    //    });
    //    AddUserRoleStore.load();


    var AddShipInfoForm = new Ext.form.FormPanel({
        width: 315,
        plain: true,
        layout: "form",
        defaultType: "textfield",
        labelWidth: 60,
        baseCls: "x-plain",
        defaults: { anchor: "95%", msgTarget: "side" },
        buttonAlign: "center",
        bodyStyle: "padding:0 0 0 0",
        items: [////"Id", "Name", "Price", "Intro", "Flag"
			{
			    name: "Name",
			    fieldLabel: "配送名称",
			    allowBlank: false,
			    blankText: "配送名称"
			}, {
			name: "Price",
			    fieldLabel: "配送价格",
			    allowBlank: false,
			    blankText: "配送价格"
			}, {
			name: "Intro",
			    fieldLabel: "配送简介",
			    allowBlank: false,
			    blankText: "配送简介"
			}
			]
    });


    var AddShipInfoWin = new Ext.Window({
        title: "添加新配送",
        width: 350,
        plain: true,
        layout: "form",
        iconCls: "addicon",
        //不可以随意改变大小
        resizable: false,
        //是否可以拖动
        //draggable:false,
        defaultType: "textfield",
        labelWidth: 100,
        collapsible: true, //允许缩放条
        closeAction: 'hide',
        closable: true,
        //弹出模态窗体
        modal: 'true',
        buttonAlign: "center",
        bodyStyle: "padding:10px 0 0 15px",
        items: [AddShipInfoForm],
        listeners: {
            "show": function() {
                AddShipInfoForm.getForm().reset();
            }
        },
        buttons: [{
            text: "保存信息",
            minWidth: 70,
            handler: function() {
                if (AddShipInfoForm.getForm().isValid()) {
                    //弹出效果
                    Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                    setTimeout(function() { }, 1000);
                    AddShipInfoForm.form.submit({
                    url: "/MCScriptManageServices/AddShip.aspx",
                        method: "POST",
                        success: function(form, action) {
                            //成功后
                            var flag = action.result.success;
                            if (flag == "true") {
                                Ext.MessageBox.alert("恭喜", "添加新配送成功!");
                                ShipInfoStore.reload();
                                AddShipInfoWin.hide();
                            } else if (flag == "false") {

                                var reson = action.result.reson;
                                //Ext.MessageBox.alert("提示",""+reson+"!");
                                if (reson != "undefined")
                                    Ext.MessageBox.alert("提示", "系统已存在此配送名!");
                            }
                        },
                        failure: function(form, action) {
                            Ext.MessageBox.alert("提示!", "添加新配送失败!");
                        }
                    });
                }
            }
        }, {
            text: "重置",
            minWidth: 70,
            qtip: "重置数据",
            handler: function() {
                AddShipInfoForm.getForm().reset();
            }
        }, {
            text: "取 消",
            minWidth: 70,
            handler: function() {
                AddShipInfoWin.hide();
            }
}]

        });
        AddShipInfoWin.show();
    }

    //000000配送管理添加结束
    //000000配送管理编辑开始
    EditShipInfoFns = function(row) {
        //------配送类型

        //        var EditUserRoleFields = Ext.data.Record.create([
        //        { name: 'roleid', mapping: 'roleid' }, { name: 'rolename', mapping: 'rolename' }, { name: 'roledesc', mapping: 'roledesc' }
        //    ]);

        //        var EditUserRoleStore = new Ext.data.Store({
        //            proxy: new Ext.data.HttpProxy({
        //            url: '/MCScriptManageServices/GetRoleInfoByid'
        //            }),
        //            reader: new Ext.data.JsonReader({
        //                root: 'data',
        //                id: 'roleid'
        //            },
        //        EditUserRoleFields
        //        )
        //        });
        //        EditUserRoleStore.load();

        var EditShipInfoForm = new Ext.form.FormPanel({
            width: 315,
            plain: true,
            layout: "form",
            defaultType: "textfield",
            labelWidth: 60,
            baseCls: "x-plain",
            defaults: { anchor: "95%", msgTarget: "side" },
            buttonAlign: "center",
            bodyStyle: "padding:0 0 0 0",
            items: [
						{
						    xtype: 'hidden',
						    name: "ID",
						    fieldLabel: "登录帐号",
						    allowBlank: false,
						    blankText: "帐号不允许为空",
						    readOnly: true
						}, {
						    name: "Name",
						    fieldLabel: "配送名称",
						    allowBlank: false,
						    blankText: "配送名称"
						}, {
						    name: "Price",
						    fieldLabel: "配送价格",
						    allowBlank: false,
						    blankText: "配送价格"
						}, {
						    name: "Intro",
						    fieldLabel: "配送简介",
						    allowBlank: false,
						    blankText: "配送简介"
						}
			]
        });


        var EditShipInfoWin = new Ext.Window({
            title: "编辑配送信息",
            width: 350,
            plain: true,
            //layout:"form",
            iconCls: "addicon",
            //不可以随意改变大小
            resizable: false,
            //是否可以拖动
            //draggable:false,
            defaultType: "textfield",
            labelWidth: 100,
            collapsible: true, //允许缩放条
            closeAction: 'hide',
            closable: true,
            //弹出模态窗体
            modal: 'true',
            buttonAlign: "center",
            bodyStyle: "padding:10px 0 0 15px",
            items: [EditShipInfoForm],
            listeners: {
                "show": function() {

                    EditShipInfoForm.getForm().reset();
                    var classid_input = row.data.ID;
                    EditShipInfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/GetShipById.aspx?id=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            },
            buttons: [{
                text: "保存信息",
                minWidth: 70,
                handler: function() {
                    if (EditShipInfoForm.getForm().isValid()) {
                        //弹出效果
                        Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                        setTimeout(function() { }, 1000);
                        EditShipInfoForm.form.submit({
                        url: "/MCScriptManageServices/UpdateShip.aspx",
                            method: "POST",
                            success: function(form, action) {
                                //成功后
                                var flag = action.result.success;
                                if (flag == "true") {
                                    Ext.MessageBox.alert("恭喜", "保存配送信息成功!");
                                    ShipInfoStore.reload();
                                    EditShipInfoWin.hide();
                                } else if (flag == "false") {

                                    Ext.MessageBox.alert("提示", "您的配送名可能系统中已经存在，请换一个配送名试下!");
                                    ShipInfoStore.reload();
                                    EditShipInfoWin.hide();
                                }
                            },
                            failure: function(form, action) {
                                Ext.MessageBox.alert("提示!", "保存配送信息失败!");
                            }
                        });
                    }
                }
            }, {
                text: "重置",
                minWidth: 70,
                qtip: "重置数据",
                handler: function() {
                    var classid_input = row.data.id;
                    EditShipInfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/GetShipById.aspx?id=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            }, {
                text: "取 消",
                minWidth: 70,
                handler: function() {
                    EditShipInfoWin.hide();
                }
}]

            });
            EditShipInfoWin.show();
        }

        //000000配送管理编辑结束
        //000000配送管理删除开始

        DelShipInfoFns = function(row) {
            var deletesplit = "";
            for (var i = 0; i < row.length; i++) {
                if (row.length == 1) {
                    deletesplit = row[i].data.ID;
                }
                else {

                    if (i < (row.length - 1)) {
                        deletesplit = row[i].data.ID + "," + deletesplit;
                    }
                    if (i == (row.length - 1)) {
                        deletesplit = deletesplit + row[i].data.ID;
                    }
                }
            }
            Ext.Ajax.request({
            url: "/MCScriptManageServices/DelShip.aspx",
                method: "POST",
                params: {
                    id: deletesplit
                },
                success: function() {
                    ShipInfoStore.reload();
                },
                failure: function() {
                    Ext.Msg.alert("提 示", "删除失败了!");
                }
            });
        }

        //000000配送管理删除结束